{% extends 'base.html' %}
{% load staticfiles %}

{% block title %}Photo{% endblock %}

{% block content %}
    <div class="card my-3">
        <img src="{{ photo.photo.url }}" alt="{{ photo.label }}" class="card-img-top">
        <div class="card-body">
            <h3 class="card-title">{{ photo.label }}</h3>
            <p class="card-subtitle text-muted">{{ photo.author }} | {{ photo.created_at|date:"Y-m-d H:i:s" }} |
                likes: <span id="likes-display-{{ photo.pk }}">{{ photo.likes_count }}</span></p>
            {% if request.user.is_authenticated %}
                <p class="mt-2 mb-0">
                    <a href="#" class="btn btn-success {% if liked %}d-none{% endif %} like-btn"
                       id="like-btn-{{ photo.pk }}" data-id="{{ photo.pk }}">Like</a>
                    <a href="#" class="btn btn-danger {% if not liked %}d-none{% endif %} dislike-btn"
                       id="dislike-btn-{{ photo.pk }}" data-id="{{ photo.pk }}">Dislike</a>
                </p>
            {% endif %}
        </div>
    </div>
    <div id="comment-list">
        {% for comment in photo.comments.all %}
            <div class="card my-3" id="comment-{{ comment.id }}">
                <div class="card-body">
                    {% if request.user == comment.author or perms.webapp.delete_comment %}
                        <button type="button" class="close" aria-label="Close" id="comment-delete-{{ comment.id }}"
                                data-id="{{ comment.id }}">&times;</button>
                    {% endif %}
                    <p class="card-text">{{ comment.text }}</p>
                    <p class="card-subtitle text-muted">{{ comment.author }}
                        | {{ comment.created_at|date:"Y-m-d H:i:s" }}</p>
                </div>
            </div>
        {% endfor %}
    </div>
    {% if request.user.is_authenticated %}
        <hr class="my-4">
        <div class="card my-3">
            <div class="card-body">
                <form class="form" id="comment-form">
                    <input type="hidden" name="author" id="author" value="{{ request.user.pk }}">
                    <input type="hidden" name="photo" id="photo" value="{{ photo.pk }}">
                    <div class="form-group">
                        <label for="text">Добавить комментарий: </label>
                        <textarea class="form-control" id="text" name="text"></textarea>
                    </div>
                    <div class="mt-3">
                        <button type="submit" class="btn btn-primary" id="comment-save">Сохранить</button>
                    </div>
                </form>
            </div>
        </div>
    {% endif %}
{% endblock %}

{% block scripts %}
    <script>
        const userName = "{{ request.user.username }}";
    </script>
    <script type="application/javascript" src="{% static "js/comments.js" %}"></script>
{% endblock %}